Web lists-archives.com

Re: Elisa runtime errors




Hello,
On vendredi 22 septembre 2017 14:08:15 CEST Tomaz Canabrava wrote:
> On Fri, Sep 22, 2017 at 1:57 PM, Tomaz Canabrava <tcanabrava@xxxxxxx> wrote:
> > On Fri, Sep 22, 2017 at 12:06 PM, Matthieu Gallien <
> > 
> > gallien.matthieu@xxxxxxxxx> wrote:
> >> Hello,
> >> 
> >> Thanks for your report. I am always eager to get feedback being negative
> >> or
> >> positive.
> > 
> > I hope most of the ones that I'll make in the future are positive, as I'm
> > really missing a good player in qt.
> > 
> >> On vendredi 22 septembre 2017 11:55:27 CEST Tomaz Canabrava wrote:
> >> > Hello,
> >> > 
> >> > I'm not sure if elisa has a mailing list, as I didn't found one.
> >> > I'm trying to run it for more than a month, it compiles fines, it
> >> 
> >> installs
> >> 
> >> > fine.
> >> 
> >> Not yet. I am not sure if I should ask one since currently I am mostly
> >> working
> >> alone on it.
> >> 
> >> > org.kde.kcoreaddons: Error loading plugin "kcm_elisa_local_file" "The
> >> > shared library was not found."
> >> > Plugin search paths are ("/home/tcanabrava/Projects/in
> >> 
> >> stall/lib64/plugins",
> >> 
> >> > "/usr/lib/qt/plugins", "/home/tcanabrava/Projects/install/bin")
> >> > The environment variable QT_PLUGIN_PATH might be not correctly set
> >> > QQmlApplicationEngine failed to load component
> >> > qrc:/MediaServer.qml:388 Type HeaderBar unavailable
> >> > qrc:/HeaderBar.qml:138 Type MediaPlayerControl unavailable
> >> > qrc:/MediaPlayerControl.qml:260 "Controls2.Slider.live" is not
> >> 
> >> available
> >> 
> >> > due to component versioning.
> >> 
> >> It is missing a check for runtime dependency on Qt Quick COntrols version
> >> 2. I
> >> will push a fix for that. You can also report it to bugs.kde.org, Elisa
> >> already
> >> has a way to report bugs there.
> 
> So, After figthing it a bit I tried to fix my error, I updated
> QtQuick.Controls2 to 2.2 instead of 2.0, but I got the same issue,
> then I commented out the line 260 on the ./src/MediaPlayerControl.qml

I had missed that Slider.live was not existing in the QtQuick.Controls2 
version 2.1. Sorry for the lost time.
Did you test bumping the dependency on Qt 5.9 ? I think that is anyway not a 
problem for a currently under development application.

> This made Elsia launch.
> 
> I also found a Qt bug related to versioning properties.

Did you report it ? I can try to do it if you want ?

> > The strange thing is that I do have qtquick controls 2. I also hack with
> > kirigami, that's build on top of that.
> > 
> > Best,
> > Tomaz
> > 
> >> > Best,
> >> > Tomaz
> >> 
> >> Best regards

Best regards